<!DOCTYPE html>
<html>
<head>

	<meta charset="utf-8">

	<meta name="viewport" content="width=device-width, initial-scale=1">

	<!-- Bootstrap -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

	<!-- External CSS -->
	<!-- <link rel="stylesheet" href="index.css"> -->

	<title>Bootstrap - Introduction and Simple Styles</title>

</head>
<body class="text-center bg-white">

	<div class="fixed-top text-white">
	  <nav class="bg-primary">Fixed Top Navbar</nav>
	</div>

	<div class="bg-secondary pt-5">
	<div class="text-center">
		<h1>Bootstrap Introduction and Simple Styles</h1>

		<div class="d-none d-lg-inline-block w-25 m-4">
			<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" class="bg-white img-fluid rounded-circle">
		</div>

		
	</div>


	<!-- container is used to create padding or space for child elements  -->
	<!-- "-fluid" in boootstrap follows the full width of the element -->
	<div class="container-fluid">
		<h2>Bootstrap Color Classes</h2>

		<table class="table table-dark table-bordered">
			<thead>
				<tr>
					<th>Text</th>
					<th>Background</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>
						<a href="#" class="text-primary">Primary Link</a>
					</td>
					<td class="bg-primary text-white">
						Primary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-secondary">Secondary Link</a>
					</td>
					<td class="bg-secondary text-white">
						Secondary
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-success">Success Link</a>
					</td>
					<td class="bg-success text-white">
						Success
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-danger">Danger Link</a>
					</td>
					<td class="bg-danger text-white">
						Danger
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-warning">Warning Link</a>
					</td>
					<td class="bg-warning text-white">
						Warning
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-info">Info Link</a>
					</td>
					<td class="bg-info text-white">
						Info
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-light">Light Link</a>
					</td>
					<td class="bg-light text-dark">
						Light
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-dark">Dark Link</a>
					</td>
					<td class="bg-dark text-white">
						Dark
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-muted">Muted Link</a>
					</td>
					<td class="bg-transparent text-white">
						Transparent
					</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-white">White Link</a>
					</td>
					<td class="bg-white text-dark">
						White
					</td>
				</tr>
			</tbody>
		</table>
		<!-- Bootstrap Text alignment classes  -->
		<h2> Bootstrap Text Classes</h2>

		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th> Alignment</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-left">Left</td>
				</tr>
				<tr>
					<td class="text-center">Center</td>
				</tr>
				<tr>
					<td class="text-right">Right</td>
				</tr>
				<!-- Breakpoints - xs, sm, md, lg, xl -->
				<!-- Different screen sizes to apply specific styling -->
				<!-- When using breakpoints, the largest scresn size specified will apply to the breakpoint and all larger screen sizes -->
				<tr>
					<td class="text-sm-center">Small Center</td>
				</tr>
				<tr>
					<td class="text-right text-md-left">Medium-left</td>
				</tr>
				<tr>
					<td class="text-lg-right ">Large right</td>
				</tr>
				<tr>
					<td class="text-xl-center">Extra Large Center</td>
				</tr>
			</tbody>
		</table>

		<table class="table table-dark text-light table-bordered">
			<thead>
				<tr>
					<th> Text Transform</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td class="text-center text-lowercase font-weight-bold">lowercased bold text</td>
				</tr>
				<tr>
					<td class="text-center text-uppercase font-weight-normal">uppercased normal text</td>
				</tr>
				<tr>
					<td class="text-center text-capitalize font-weight-light">capiltalize light text</td>
				</tr>
				<tr>
					<td>
						<a href="#" class="text-center font-italic">Non-underline Italic Link</a>
					</td>
				</tr>
			</tbody>
		</table>

		<table class="table table-dark text-light table-bordered">

			
			<h1> Bootstrap Border and Sizing Classes</h1>
			<thead>
				<tr>
					<th>Border</th>
				</tr>
			</thead>
			<tbody>
				<tr class="border border-secondary border-left-0 border-right-0">
					<td style="width:99%;" class="border border-primary rounded bg-info d-block h-0 p-0 m-2">Rounded</td>
				</tr>
				<tr class="border border-secondary border-left-0 border-right-0">
					<td style="width:99%;" class="border rounded-circle bg-secondary d-block h-0 p-0 m-2">Rounded Circle</td>
				</tr>
				<tr class="border border-secondary border-left-0 border-right-0">
					<td style="width:99%;" class="border border-dark rounded-pill bg-warning d-block h-0 p-0 m-2">Rounded-Pill</td>
				</tr>
			</tbody>
				</table> 
				<hr>
				<hr>


		<!-- End of Bootstrap text -->
	</div>
	</div>


	<footer class="text-center fixed-bottom text-white">

	  <!-- Copyright -->
	  <div class="bg-primary"> Fixed Bottom - Footer</a>
	  </div>
	  <!-- Copyright -->

	</footer>


	

	<!-- Bootstrap Scripts -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

</body>
</html>